﻿/**Begin D:\pdm\PDM_UPGRADE\pdm1\BEA_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BEA_DATATYPE' AND KSQL_COL_NAME ='FNAME') 
 ALTER TABLE T_BEA_DATATYPE ADD (FNAME VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BEA_SCHEME') 
 CREATE TABLE T_BEA_SCHEME (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENABLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FPRESET CHAR(1) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BEA_SCHEME_L') 
 CREATE TABLE T_BEA_SCHEME_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BEA_SCHEME_BIZAPP') 
 CREATE TABLE T_BEA_SCHEME_BIZAPP (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID NVARCHAR(36) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BEA_SCHEME_DATATYPE') 
 CREATE TABLE T_BEA_SCHEME_DATATYPE (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSCHEMA NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSCHEMA_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BEA_SCHEME_MAPPING') 
 CREATE TABLE T_BEA_SCHEME_MAPPING (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FMAPPINGNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMAPPINGNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDATATYPENO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FDATATYPENAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENTITYNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENTITYNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDATAOWNERPARAM NVARCHAR(255) DEFAULT ' ' NOT NULL,
FMAPPINGENTRY NVARCHAR(255) DEFAULT ' ' NOT NULL,
FMAPPINGENTRY_TAG NCLOB,
FFIELDMAPPINGPARAM NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFILTERENTRY NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFILTERENTRY_TAG NCLOB,
FSTCCCUSTOMPARAM NVARCHAR(255) DEFAULT ' ' NOT NULL,
FAPPID NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BEA_SCHEME_TASK') 
 CREATE TABLE T_BEA_SCHEME_TASK (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMAPPINGNAMES NVARCHAR(500) DEFAULT ' ' NOT NULL,
FMAPPINGIDS NVARCHAR(500) DEFAULT ' ' NOT NULL,
FCRON NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTCDATE DATETIME
);



/**End D:\pdm\PDM_UPGRADE\pdm1\BEA_table.sql **/
