﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BEA_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BEA_MAPPING' AND KSQL_COL_NAME ='FAUDITORID') 
 ALTER TABLE T_BEA_MAPPING ADD (FAUDITORID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BEA_MAPPING' AND KSQL_COL_NAME ='FAUDITDATE') 
 ALTER TABLE T_BEA_MAPPING ADD (FAUDITDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BEA_STC_LOG_ENTRY') 
 CREATE TABLE T_BEA_STC_LOG_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(30) DEFAULT ' ' NOT NULL,
FTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FVALUE NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BEA_STC_LOG') 
 CREATE TABLE T_BEA_STC_LOG (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FNO NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTXID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FMAPPINGNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMAPPINGNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDATATYPENO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDATATYPENAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTASKNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBIZOBJNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBIZOBJNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTASKNO NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBIZBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRETRYTIMES BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BEA_TASK') 
 CREATE TABLE T_BEA_TASK (
FID BIGINT DEFAULT 0 NOT NULL,
FNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FCRON VARCHAR(30) DEFAULT ' ' NOT NULL,
FSTCDATE DATETIME,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FMAXRETRY BIGINT DEFAULT 0 NOT NULL,
FRECORDDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BEA_TASK_MAPPING') 
 CREATE TABLE T_BEA_TASK_MAPPING (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BEA_table.sql **/
