/* 删除旧索引 */
EXEC p_DropIdx 'IDX_BEA_DATATYPE_FTYPENAME', 'T_BEA_DATATYPE';

/* 删除多语言表中已迁移的数据 */
DELETE FROM T_BEA_DATATYPE_L WHERE FPKID=TOCHAR(FID);

/* 迁移数据 */
INSERT INTO T_BEA_DATATYPE_L(FPKID, FID, FLOCALEID, FNAME) SELECT FID,FID,'zh_CN',FDATATYPENAME FROM T_BEA_DATATYPE WHERE FID NOT IN (SELECT FID FROM T_BEA_DATATYPE_L);
UPDATE T_BEA_DATATYPE SET FNUMBER=FDATATYPENO,FMASTERID=FID,FENABLE=1,FSTATUS='C' WHERE FNUMBER = ' ';
UPDATE T_BEA_DATATYPE SET FDATATYPESTATUS=' ' WHERE (FDATATYPESTATUS='A' OR FDATATYPESTATUS='B');
UPDATE T_BEA_DATATYPE SET FDATATYPESTATUS='registered' WHERE FDATATYPESTATUS='C';
UPDATE T_BEA_DATATYPE SET FDATATYPESTATUS='associated' WHERE FDATATYPESTATUS='D';

/* 创建索引 */
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BEA_DATATYPE_FNUMBER') CREATE UNIQUE INDEX IDX_BEA_DATATYPE_FNUMBER ON T_BEA_DATATYPE ( FNUMBER );