/* 由于服务中心已经改为基础资料，所以首次清空数据，验证完成后需要删除 */
/* truncate table t_bcc_service_center; */

/* 删除旧索引 */
/* 服务中心已经为基础资料，所以删除的是新索引 */
/* EXEC p_DropIdx 'IDX_SERVICE_CENTER_FNUMBER', 'T_BCC_SERVICE_CENTER'; */
EXEC p_DropIdx 'IDX_BCC_SVC_CENTER_FBILLNO', 'T_BCC_SERVICE_CENTER';

/* 迁移数据 */
/* 先插入，正常情况不需要 */
/* 
DELETE FROM T_BCC_SERVICE_CENTER_L WHERE FPKID = '1123912194317143040';
DELETE FROM T_BCC_SERVICE_CENTER_L WHERE FPKID = '1123912194317143041';
DELETE FROM T_BCC_SERVICE_CENTER_L WHERE FPKID = '1123912194317143042';

DELETE FROM T_BCC_SERVICE_CENTER WHERE FID = 1123912194317143040;
INSERT INTO T_BCC_SERVICE_CENTER(FNETWORKID,FACCESS,FAUDITORID,FDESCRIPTION,FMASTERID,FCLIENTSECRET,FORGANIZATION,FAUDITDATE,FCREATETIME,FENABLE,FCENTERSTATUS,FAPPLYTIME,FCHECKDOMAIN,FPROXYID,FBDUID,FID,FDEFAULT,FSTATUS,FCLIENTID,FNUMBER,FCHAINNAME,FNAME,FBILLSTATUS,FBILLNO,FMODIFIERID,FMODIFYTIME,FUSAGESTATUS,FLOGINTYPE,FCREATORID) VALUES ('5fa26e237a065ea42dc993dd','admin',0,'请勿删除！！！',0,'447729b7724e28a9795d24a8c1500f773398b910d5c66c5058849d0136ea1220','金蝶国际软件集团',NULL,{ts'2021-03-31  16:52:50'},'0','A',{ts'2020-11-04  17:04:53'},''' ''','5fa26eb57a065ea42dc993e3','B5516AED813C49148F4EB2CF703C2E26E9A0E550',1123912194317143040,'0','Granted','5dbac7be00b59c0c','1','importantchain','数据迁移测试1',''' ''','20210331-FB6535E1',55538816,{ts'2021-03-31  16:52:54'},''' ''',''' ''',55538816); 
DELETE FROM T_BCC_SERVICE_CENTER WHERE FID = 1123912194317143041;
INSERT INTO T_BCC_SERVICE_CENTER(FNETWORKID,FACCESS,FAUDITORID,FDESCRIPTION,FMASTERID,FCLIENTSECRET,FORGANIZATION,FAUDITDATE,FCREATETIME,FENABLE,FCENTERSTATUS,FAPPLYTIME,FCHECKDOMAIN,FPROXYID,FBDUID,FID,FDEFAULT,FSTATUS,FCLIENTID,FNUMBER,FCHAINNAME,FNAME,FBILLSTATUS,FBILLNO,FMODIFIERID,FMODIFYTIME,FUSAGESTATUS,FLOGINTYPE,FCREATORID) VALUES ('5fa26e237a065ea42dc993dd','admin',0,'请勿删除！！！',0,'447729b7724e28a9795d24a8c1500f773398b910d5c66c5058849d0136ea1220','金蝶国际软件集团',NULL,{ts'2021-03-31  16:52:50'},'0','A',{ts'2020-11-04  17:04:53'},''' ''','5fa26eb57a065ea42dc993e3','B5516AED813C49148F4EB2CF703C2E26E9A0E550',1123912194317143041,'0','Granted','5dbac7be00b59c0c','2','importantchain','数据迁移测试2',''' ''','20210331-FB6535E2',55538816,{ts'2021-03-31  16:52:54'},''' ''',''' ''',55538816); 
DELETE FROM T_BCC_SERVICE_CENTER WHERE FID = 1123912194317143042;
INSERT INTO T_BCC_SERVICE_CENTER(FNETWORKID,FACCESS,FAUDITORID,FDESCRIPTION,FMASTERID,FCLIENTSECRET,FORGANIZATION,FAUDITDATE,FCREATETIME,FENABLE,FCENTERSTATUS,FAPPLYTIME,FCHECKDOMAIN,FPROXYID,FBDUID,FID,FDEFAULT,FSTATUS,FCLIENTID,FNUMBER,FCHAINNAME,FNAME,FBILLSTATUS,FBILLNO,FMODIFIERID,FMODIFYTIME,FUSAGESTATUS,FLOGINTYPE,FCREATORID) VALUES ('5fa26e237a065ea42dc993dd','admin',0,'请勿删除！！！',0,'447729b7724e28a9795d24a8c1500f773398b910d5c66c5058849d0136ea1220','金蝶国际软件集团',NULL,{ts'2021-03-31  16:52:50'},'0','A',{ts'2020-11-04  17:04:53'},''' ''','5fa26eb57a065ea42dc993e3','B5516AED813C49148F4EB2CF703C2E26E9A0E550',1123912194317143042,'0','Granted','5dbac7be00b59c0c','3','importantchain','数据迁移测试3',''' ''','20210331-FB6535E3',55538816,{ts'2021-03-31  16:52:54'},''' ''',''' ''',55538816); 
*/

/* 删除多语言表中已迁移的数据 */
DELETE FROM T_BCC_SERVICE_CENTER_L WHERE FPKID=TOCHAR(FID);

INSERT INTO T_BCC_SERVICE_CENTER_L(FPKID,FID,FLOCALEID,FNAME)  SELECT FID,FID,'zh_CN',FNAME FROM T_BCC_SERVICE_CENTER WHERE FID NOT IN (SELECT FID FROM T_BCC_SERVICE_CENTER_L);
UPDATE T_BCC_SERVICE_CENTER SET FCENTERSTATUS=FSTATUS,FNUMBER=FBILLNO,FMASTERID=FID,FENABLE=1,FSTATUS='C' WHERE FNUMBER = ' ';

/* 创建索引 */
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SERVICE_CENTER_FNUMBER') CREATE UNIQUE INDEX IDX_SERVICE_CENTER_FNUMBER ON T_BCC_SERVICE_CENTER ( FNUMBER );